<template>
    <div class="button">
        <button class="submit" type="button" @click="clicked">{{title}}</button>
    </div>
</template>

<script>
import './ButtonField.css';

export default {
    props: {
        title: {
          type: String,
          default: ""
        },
        onClick: { type: Function }
    },    
    methods: {
        clicked() {
            this.onClick();
        }
    }
}
</script>